using System.Text.Json;
using System.Text.Json.Serialization;

namespace JsonRpcEndpointSample.Rpc;

public sealed class JsonRpcRequest
{
    [JsonPropertyName("jsonrpc")]
    public string? JsonRpc
    {
        get; set;
    }

    [JsonPropertyName("method")]
    public string? Method
    {
        get; set;
    }

    [JsonPropertyName("params")]
    public JsonElement Params
    {
        get; set;
    }

    [JsonPropertyName("id")]
    public JsonElement? Id
    {
        get; set;
    }
}
